Bug 172288 - net/boinc-client broken with OPTIMIZE
Summary: net/boinc-client broken with OPTIMIZE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-02 21:40 UTC by Rene Ladan
Modified: 2014-04-21 09:13 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2012-10-02 21:40:03 UTC
with the OPTIMIZE option on, there are at least two bugs in net/boinc-client :

1. The benchmark test (both Dhrystone and Whetstone) end after a while with an unexpected 0 result.
2. Finished work units (at least those from astro/boinc-setiathome-enhanced) cannot be uploaded, ~boinc/stdoutae.txt shows transient HTTP errors.

Both problems can be avoided by leaving the OPTIMIZE option off.

All BOINC ports are compiled with the system GCC 4.2.2 20070831

Fix: 

Unknown (fragile code?), in the worst case remove the OPTIMIZE option.
How-To-Repeat: reinstall net/boinc-client with the OPTIMIZE option on, run the benchmark test or try to upload some finished results.
Comment 1 Edwin Groothuis freebsd_committer 2012-10-02 21:40:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Andrey Simonenko 2012-10-04 11:50:46 UTC
I cannot reproduce this issue with benchmark tests on 9.1-PRERELEASE
on amd64 with the default compiler (no compiler related options
in /etc/make.conf).

Can you verify whether GCC on your system has a mistake with
the -ffast-math option I described in one mailing list:

http://lists.freebsd.org/pipermail/freebsd-current/2012-April/032895.html
http://lists.freebsd.org/pipermail/freebsd-current/2012-April/032926.html

using the program from this message:

http://lists.freebsd.org/pipermail/freebsd-current/2012-April/032941.html
Comment 3 Rene Ladan freebsd_committer 2012-10-05 13:48:58 UTC
On 04-10-2012 12:50, Andrey Simonenko wrote:
> I cannot reproduce this issue with benchmark tests on 9.1-PRERELEASE
> on amd64 with the default compiler (no compiler related options
> in /etc/make.conf).
> 
> Can you verify whether GCC on your system has a mistake with
> the -ffast-math option I described in one mailing list:
> 
> http://lists.freebsd.org/pipermail/freebsd-current/2012-April/032895.html
> http://lists.freebsd.org/pipermail/freebsd-current/2012-April/032926.html
> 
> using the program from this message:
> 
> http://lists.freebsd.org/pipermail/freebsd-current/2012-April/032941.html
> 
Indeed, the results differ when using -ffinite-math-only:
%cc -Wall -O2 finite.c -lm
%./a.out
-2.0 1 -1.5 1 -1.0 1 -0.5 1 0.0 1 0.5 1 1.0 1 1.5 1
%cc -Wall -O2 -ffinite-math-only finite.c -lm
%./a.out
-2.0 0 -1.5 0 -1.0 0 -0.5 0 0.0 0 0.5 0 1.0 0 1.5 0

I do have WITH_OPTIMIZED_CFLAGS=true and CPUTYPE?=prescott in /etc/make.conf

%cc -v
Using built-in specs.
Target: i386-undermydesk-freebsd
Configured with: FreeBSD/i386 system compiler
Thread model: posix
gcc version 4.2.2 20070831 prerelease [FreeBSD]
%

René
Comment 4 Andrey Simonenko 2012-10-10 10:52:08 UTC
On Fri, Oct 05, 2012 at 02:48:58PM +0200, Rene Ladan wrote:
> On 04-10-2012 12:50, Andrey Simonenko wrote:
> > I cannot reproduce this issue with benchmark tests on 9.1-PRERELEASE
> > on amd64 with the default compiler (no compiler related options
> > in /etc/make.conf).
> > 
> > Can you verify whether GCC on your system has a mistake with
> > the -ffast-math option I described in one mailing list:
> > 
> > http://lists.freebsd.org/pipermail/freebsd-current/2012-April/032895.html
> > http://lists.freebsd.org/pipermail/freebsd-current/2012-April/032926.html
> > 
> > using the program from this message:
> > 
> > http://lists.freebsd.org/pipermail/freebsd-current/2012-April/032941.html
> > 
> Indeed, the results differ when using -ffinite-math-only:
> %cc -Wall -O2 finite.c -lm
> %./a.out
> -2.0 1 -1.5 1 -1.0 1 -0.5 1 0.0 1 0.5 1 1.0 1 1.5 1
> %cc -Wall -O2 -ffinite-math-only finite.c -lm
> %./a.out
> -2.0 0 -1.5 0 -1.0 0 -0.5 0 0.0 0 0.5 0 1.0 0 1.5 0
> 
> I do have WITH_OPTIMIZED_CFLAGS=true and CPUTYPE?=prescott in /etc/make.conf
> 
> %cc -v
> Using built-in specs.
> Target: i386-undermydesk-freebsd
> Configured with: FreeBSD/i386 system compiler
> Thread model: posix
> gcc version 4.2.2 20070831 prerelease [FreeBSD]
> %

Since that version of gcc produces wrong code when -ffast-math is used,
any port that uses this option can work incorrectly (depends on used
functions of course).  So, before removing this option from the port,
it would be correct to verify this PR with updated gcc.
Comment 5 c.kworr 2013-05-17 12:08:43 UTC
Hi all.

This port works for me when built with clang 3.2.

Anyway the PR is too old and questionable. Maybe we should close it for now?

-- 
Sphinx of black quartz, judge my vow.
Comment 6 Rene Ladan 2013-05-17 22:32:56 UTC
I think the original problem still exists (maybe use clang or GCC 4.6+ if
OPTIMIZE is selected?)

René
Comment 7 Rene Ladan freebsd_committer 2013-07-10 10:39:08 UTC
Responsible Changed
From-To: pav->rene

I took over the port.
Comment 8 dfilter service freebsd_committer 2013-11-11 16:22:36 UTC
Author: rene
Date: Mon Nov 11 16:22:27 2013
New Revision: 333520
URL: http://svnweb.freebsd.org/changeset/ports/333520

Log:
  - Update to 7.2.28
  - Use more option helpers
  - Disable broken OPTIMIZE option [1]
  - Cleanup Makefile
  
  PR:		ports/172288 [1]
  Submitted by:	myself

Modified:
  head/net/boinc-client/Makefile
  head/net/boinc-client/distinfo
  head/net/boinc-client/pkg-plist

Modified: head/net/boinc-client/Makefile
==============================================================================
--- head/net/boinc-client/Makefile	Mon Nov 11 16:16:59 2013	(r333519)
+++ head/net/boinc-client/Makefile	Mon Nov 11 16:22:27 2013	(r333520)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	boinc-client
-PORTVERSION=	7.0.65
+PORTVERSION=	7.2.28
 CATEGORIES=	net
 MASTER_SITES=	ftp://rene-ladan.nl/pub/distfiles/
 
@@ -24,9 +24,6 @@ BOINC_CLIENT_USER?=	boinc
 BOINC_CLIENT_GROUP?=	boinc
 BOINC_CLIENT_HOME?=	/var/db/boinc
 
-PLIST_SUB=	BOINC_CLIENT_HOME="${BOINC_CLIENT_HOME}" \
-		BOINC_CLIENT_USER="${BOINC_CLIENT_USER}"
-
 SUB_FILES=	pkg-install
 SUB_LIST=	BOINC_CLIENT_HOME="${BOINC_CLIENT_HOME}" \
 		BOINC_CLIENT_USER="${BOINC_CLIENT_USER}" \
@@ -35,9 +32,9 @@ SUB_LIST=	BOINC_CLIENT_HOME="${BOINC_CLI
 
 CONFIGURE_ARGS=	--disable-server
 CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
 
-NO_OPTIONS_SORT=	yes
-OPTIONS_DEFINE=		CLIENT MANAGER X11 LINUX USER SKINS OPTIMIZE
+OPTIONS_DEFINE=		CLIENT MANAGER X11 LINUX USER SKINS
 OPTIONS_DEFAULT=	CLIENT MANAGER X11 USER
 OPTIONS_GROUP=		SCRIPT
 OPTIONS_GROUP_SCRIPT=	NO_GUI_RPC NO_NET_INFO
@@ -47,88 +44,67 @@ X11_DESC=		Build graphics API
 LINUX_DESC=		Accept Linux science applications
 USER_DESC=		Create/check BOINC client user and directory
 SKINS_DESC=		Install more skins for BOINC manager
-OPTIMIZE_DESC=		Enable compiler optimization flags
+#OPTIMIZE_DESC=		Enable compiler optimization flags
 SCRIPT_DESC=		Command line options in script
-NO_GUI_RPC_DESC=	Do not allow GUI RPC, do not make socket (breaks boinc_curses)
+NO_GUI_RPC_DESC=	Disable GUI RPC and socket (breaks boinc_curses)
 NO_NET_INFO_DESC=	Do not send host address and name to servers
 
-.include <bsd.port.options.mk>
+OPTIONS_SUB=		yes
+
+MANAGER_USES=		iconv
+MANAGER_LIB_DEPENDS=	libnotify.so:${PORTSDIR}/devel/libnotify \
+			libsqlite3.so:${PORTSDIR}/databases/sqlite3
+MANAGER_CONFIGURE_ON=	--with-sqlite3-prefix=${LOCALBASE}
+MANAGER_CONFIGURE_OFF=	--with-wx-config=false --without-x
+MANAGER_CONFIGURE_ENABLE=manager
+MANAGER_USE=		XORG=x11 WX=2.8+
+
+CLIENT_CONFIGURE_WITH=	client
+CLIENT_LIB_DEPENDS=	libcurl.so:${PORTSDIR}/ftp/curl
+CLIENT_RUN_DEPENDS=	${LOCALBASE}/share/certs/ca-root-nss.crt:${PORTSDIR}/security/ca_root_nss
+CLIENT_USE=		RC_SUBR=boinc-client
+
+LINUX_CONFIGURE_ON=	--with-boinc-alt-platform=i686-pc-linux-gnu
+LINUX_USE=		LINUX=yes
+
+#OPTIMIZE_CONFIGURE_ENBABLE=	optimize
 
-#.if ${ARCH} == "ia64" || ${ARCH} == "powerpc" || ${ARCH} == "sparc64"
-#BROKEN=		Does not install on ia64, powerpc, or sparc64
-#.endif
+X11_LIB_DEPENDS=	libjpeg.so:${PORTSDIR}/graphics/jpeg
+X11_USE=		GL=glut XORG=xmu XORG=xi
+
+.include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MMANAGER}
-PORT_OPTIONS+=	CLIENT X11
-USE_XORG+=	x11
-USE_WX=		2.8+
-USES+=		iconv
+#PORT_OPTIONS+=	CLIENT X11
 WX_CONF_ARGS=	absolute
-LIB_DEPENDS+=	libnotify.so:${PORTSDIR}/devel/libnotify \
-		libsqlite3.so:${PORTSDIR}/databases/sqlite3
-CONFIGURE_ARGS+=--with-sqlite3-prefix=${LOCALBASE}
 . if ${OSVERSION} < 900506 || (${OSVERSION} >= 1000000 && ${OSVERSION} < 1000002)
 CPPFLAGS+=	-DNO_PER_THREAD_LOCALE
 . endif
-PLIST_SUB+=	BOINC_MANAGER=""
 SUB_LIST+=	OPTION_MANAGER="true"
 .else
-CONFIGURE_ARGS+=--disable-manager --with-wx-config=false --without-x
-PLIST_SUB+=	BOINC_MANAGER="@comment "
 SUB_LIST+=	OPTION_MANAGER=""
 .endif
 
 .if ${PORT_OPTIONS:MCLIENT}
-USE_RC_SUBR=	boinc-client
-LIB_DEPENDS+=	libcurl.so:${PORTSDIR}/ftp/curl
-RUN_DEPENDS+=	${LOCALBASE}/share/certs/ca-root-nss.crt:${PORTSDIR}/security/ca_root_nss
-PLIST_SUB+=	BOINC_CLIENT=""
 SUB_LIST+=	OPTION_NO_GUI_RPC=${PORT_OPTIONS:MNO_GUI_RPC:S/^NO_GUI_RPC$/--no_gui_rpc/} \
 		OPTION_NO_NET_INFO=${PORT_OPTIONS:MNO_NET_INFO:S/^NO_NET_INFO$/--suppress_net_info/}
-.else
-PORT_OPTIONS:=	${PORT_OPTIONS:NUSER}
-CONFIGURE_ARGS+=--disable-client
-PLIST_SUB+=	BOINC_CLIENT="@comment "
+#.else
+#PORT_OPTIONS:=	${PORT_OPTIONS:NUSER}
 .endif
 
-.if ${PORT_OPTIONS:MNLS} && ${PORT_OPTIONS:MMANAGER}
+# XXX NLS is not filled in by OPTIONS_SUB ?
+.if ${PORT_OPTIONS:MNLS}
 PLIST_SUB+=	NLS=""
 .else
 PLIST_SUB+=	NLS="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MLINUX}
-CONFIGURE_ARGS+=--with-boinc-alt-platform=i686-pc-linux-gnu
-USE_LINUX=	yes
-.endif
-
-.if ${PORT_OPTIONS:MSKINS}
-PLIST_SUB+=	SKINS=""
-.else
-PLIST_SUB+=	SKINS="@comment "
-.endif
-
 .if ${PORT_OPTIONS:MUSER}
-PLIST_SUB+=	USER=""
 SUB_LIST+=	OPTION_USER="true"
 .else
-PLIST_SUB+=	USER="@comment "
 SUB_LIST+=	OPTION_USER=""
 .endif
 
-.if ${PORT_OPTIONS:MOPTIMIZE}
-CONFIGURE_ARGS+=--enable-optimize
-.endif
-
-.if ${PORT_OPTIONS:MX11}
-USE_GL=		glut
-USE_XORG+=	xmu xi
-LIB_DEPENDS+=	libjpeg.so:${PORTSDIR}/graphics/jpeg
-PLIST_SUB+=	X11=""
-.else
-PLIST_SUB+=	X11="@comment "
-.endif
-
 PORT_OPTIONS:=	${PORT_OPTIONS:O:u}
 
 # avoid build conflict with archivers/libzip

Modified: head/net/boinc-client/distinfo
==============================================================================
--- head/net/boinc-client/distinfo	Mon Nov 11 16:16:59 2013	(r333519)
+++ head/net/boinc-client/distinfo	Mon Nov 11 16:22:27 2013	(r333520)
@@ -1,2 +1,2 @@
-SHA256 (boinc-client-7.0.65.tar.xz) = 5ee526924a4939c83e5860afcb10c388fe6253157ffab1f90e87750280da3f90
-SIZE (boinc-client-7.0.65.tar.xz) = 26393968
+SHA256 (boinc-client-7.2.28.tar.xz) = fa2bf9f91449dbe2b958a3f5c3a21359d3591f86d19d0abfd4ea9124398ae5c0
+SIZE (boinc-client-7.2.28.tar.xz) = 21735120

Modified: head/net/boinc-client/pkg-plist
==============================================================================
--- head/net/boinc-client/pkg-plist	Mon Nov 11 16:16:59 2013	(r333519)
+++ head/net/boinc-client/pkg-plist	Mon Nov 11 16:22:27 2013	(r333520)
@@ -1,9 +1,9 @@
-%%BOINC_CLIENT%%bin/boinc
-%%BOINC_CLIENT%%bin/boinc_client
-%%BOINC_CLIENT%%bin/boinccmd
-%%BOINC_CLIENT%%bin/switcher
-%%BOINC_MANAGER%%bin/boincmgr
-%%BOINC_MANAGER%%bin/boincscr
+%%CLIENT%%bin/boinc
+%%CLIENT%%bin/boinc_client
+%%CLIENT%%bin/boinccmd
+%%CLIENT%%bin/switcher
+%%MANAGER%%bin/boincmgr
+%%MANAGER%%bin/boincscr
 include/boinc/app_ipc.h
 include/boinc/average.h
 include/boinc/base64.h
@@ -11,7 +11,6 @@ include/boinc/boinc_api.h
 include/boinc/boinc_fcgi.h
 include/boinc/boinc_opencl.h
 include/boinc/boinc_win.h
-include/boinc/boinc_zip.h
 include/boinc/cal_boinc.h
 include/boinc/cc_config.h
 include/boinc/cert_sig.h
@@ -55,6 +54,7 @@ include/boinc/win_util.h
 %%X11%%include/boinc/boinc_gl.h
 %%X11%%include/boinc/graphics_api.h
 %%X11%%include/boinc/graphics_data.h
+%%X11%%include/boinc/opencl_boinc.h
 %%X11%%include/boinc/ttfont.h
 lib/libboinc.a
 lib/libboinc.la
@@ -68,128 +68,39 @@ lib/libboinc_opencl.a
 lib/libboinc_opencl.la
 lib/libboinc_opencl.so
 lib/libboinc_opencl.so.7
-lib/libboinc_zip.a
-lib/libboinc_zip.la
-lib/libboinc_zip.so
-lib/libboinc_zip.so.7
 %%X11%%lib/libboinc_graphics2.a
 %%X11%%lib/libboinc_graphics2.la
 %%X11%%lib/libboinc_graphics2.so
 %%X11%%lib/libboinc_graphics2.so.7
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/arwLeft.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/arwLeftClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/arwRight.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/arwRightClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnAddProject.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnAddProjectClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnAdvancedView.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCancel.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCancelClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnChange.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnChangeClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnClear.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnClearClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnClose.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCloseClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCopy.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCopyAll.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCopyAllClicked.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCopyClicked.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnHelp.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnHelpClicked.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnMessages.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnMessagesAlert.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnPreferences.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnResume.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnSave.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnSaveClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnSnooze.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnSynchronize.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnSynchronizeClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_about.ico
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_background.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_icon_play.gif
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_icon_play.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_pause.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_play.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_stop.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_wizard_bar.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/conn_ind.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/default_stat_icon.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/dlgBackground.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/error_image.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/gauge_bg.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/gauge_progress_indicator.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ico_workWU.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ico_workWU_sus.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/proj_bg.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/project_image.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/simplegui_bg.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/spacer.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/state_ind_bg.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/tabArea_bg.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/wu_bg.png
+%%SKINS%%share/boinc/skins/Charity Engine/background_image.png
+%%SKINS%%share/boinc/skins/Charity Engine/ce_about.ico
+%%SKINS%%share/boinc/skins/Charity Engine/ce_icon_play.png
+%%SKINS%%share/boinc/skins/Charity Engine/ce_pause.png
+%%SKINS%%share/boinc/skins/Charity Engine/ce_play.png
+%%SKINS%%share/boinc/skins/Charity Engine/ce_stop.png
+%%SKINS%%share/boinc/skins/Charity Engine/dialog_background_image.png
+%%SKINS%%share/boinc/skins/Charity Engine/project_image.png
 %%SKINS%%share/boinc/skins/Charity Engine/skin.xml
-%%BOINC_MANAGER%%share/boinc/skins/Default/background_image.png
-%%BOINC_MANAGER%%share/boinc/skins/Default/skin.xml
-%%BOINC_MANAGER%%share/boinc/skins/Default/workunit_running_image.png
-%%BOINC_MANAGER%%share/boinc/skins/Default/workunit_suspended_image.png
-%%BOINC_MANAGER%%share/boinc/skins/Default/workunit_waiting_image.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/arwLeft.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/arwLeftClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/arwRight.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/arwRightClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnAddProject.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnAddProjectClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnAdvancedView.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCancel.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCancelClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnChange.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnChangeClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnClear.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnClearClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnClose.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCloseClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCopy.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCopyAll.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCopyAllClicked.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCopyClicked.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnHelp.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnHelpClicked.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnMessages.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnMessagesOrange.gif
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnMessagesOrange.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnPreferences.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnResume.gif
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnResume.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnSave.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnSaveClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnSnooze.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnSynchronize.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnSynchronizeClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/conn_ind.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/default_stat_icon.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/dlgBackground.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/error_image.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gauge_bg.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gauge_progress_indicator.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_about.ico
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_background.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_icon_play.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_pause.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_play.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_stop.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_wizard_bar.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/ico_workWU.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/ico_workWU_sus.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/proj_bg.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/project_image.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/simplegui_bg.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/spacer.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/state_ind_bg.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/tabArea_bg.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/wu_bg.png
+%%SKINS%%share/boinc/skins/Charity Engine/workunit_running_image.png
+%%SKINS%%share/boinc/skins/Charity Engine/workunit_suspended_image.png
+%%SKINS%%share/boinc/skins/Charity Engine/workunit_waiting_image.png
+%%MANAGER%%share/boinc/skins/Default/background_image.png
+%%MANAGER%%share/boinc/skins/Default/skin.xml
+%%MANAGER%%share/boinc/skins/Default/workunit_running_image.png
+%%MANAGER%%share/boinc/skins/Default/workunit_suspended_image.png
+%%MANAGER%%share/boinc/skins/Default/workunit_waiting_image.png
+%%SKINS%%share/boinc/skins/GridRepublic/background_image.png
+%%SKINS%%share/boinc/skins/GridRepublic/dialog_background_image.png
+%%SKINS%%share/boinc/skins/GridRepublic/gr_about.ico
+%%SKINS%%share/boinc/skins/GridRepublic/gr_icon_play.png
+%%SKINS%%share/boinc/skins/GridRepublic/gr_pause.png
+%%SKINS%%share/boinc/skins/GridRepublic/gr_play.png
+%%SKINS%%share/boinc/skins/GridRepublic/gr_stop.png
+%%SKINS%%share/boinc/skins/GridRepublic/project_image.png
 %%SKINS%%share/boinc/skins/GridRepublic/skin.xml
+%%SKINS%%share/boinc/skins/GridRepublic/workunit_running_image.png
+%%SKINS%%share/boinc/skins/GridRepublic/workunit_suspended_image.png
+%%SKINS%%share/boinc/skins/GridRepublic/workunit_waiting_image.png
 %%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/advanced_link_image.png
 %%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/attach_project_button.png
 %%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/background_image.png
@@ -228,58 +139,18 @@ lib/libboinc_zip.so.7
 %%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/workunit_suspended_tab.png
 %%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/workunit_tab_area_background_image.png
 %%SKINS%%share/boinc/skins/People for a Smarter Planet/skin.xml
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/arwLeft.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/arwLeftClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/arwRight.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/arwRightClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnAddProject.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnAddProjectClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnAdvancedView.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCancel.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCancelClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnChange.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnChangeClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnClear.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnClearClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnClose.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCloseClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCopy.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCopyAll.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCopyAllClicked.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCopyClicked.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnHelp.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnHelpClicked.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnMessages.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnMessagesAlert.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnPreferences.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnResume.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnSave.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnSaveClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnSnooze.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnSynchronize.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnSynchronizeClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/conn_ind.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/default_stat_icon.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/dlgBackground.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/error_image.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/gauge_bg.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/gauge_progress_indicator.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ico_workWU.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ico_workWU_sus.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/proj_bg.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/project_image.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ptp_background.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ptp_icon_play.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ptp_pause.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ptp_play.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ptp_stop.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ptp_wizard_bar.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/simplegui_bg.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/spacer.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/state_ind_bg.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/tabArea_bg.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/wu_bg.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/skin.xml
+%%SKINS%%share/boinc/skins/ProgressThruProcessors/background_image.png
+%%SKINS%%share/boinc/skins/ProgressThruProcessors/dialog_background_image.png
+%%SKINS%%share/boinc/skins/ProgressThruProcessors/project_image.png
+%%SKINS%%share/boinc/skins/ProgressThruProcessors/ptp_about.ico
+%%SKINS%%share/boinc/skins/ProgressThruProcessors/ptp_icon_play.png
+%%SKINS%%share/boinc/skins/ProgressThruProcessors/ptp_pause.png
+%%SKINS%%share/boinc/skins/ProgressThruProcessors/ptp_play.png
+%%SKINS%%share/boinc/skins/ProgressThruProcessors/ptp_stop.png
+%%SKINS%%share/boinc/skins/ProgressThruProcessors/skin.xml
+%%SKINS%%share/boinc/skins/ProgressThruProcessors/workunit_running_image.png
+%%SKINS%%share/boinc/skins/ProgressThruProcessors/workunit_suspended_image.png
+%%SKINS%%share/boinc/skins/ProgressThruProcessors/workunit_waiting_image.png
 %%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/arwLeft.png
 %%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/arwLeftClick.png
 %%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/arwRight.png
@@ -333,11 +204,11 @@ lib/libboinc_zip.so.7
 %%SKINS%%share/boinc/skins/World Community Grid/Red_dot.png
 %%SKINS%%share/boinc/skins/World Community Grid/Yellow_dot.png
 %%SKINS%%share/boinc/skins/World Community Grid/background_image.png
-%%SKINS%%share/boinc/skins/World Community Grid/wcg_about.ico
 %%SKINS%%share/boinc/skins/World Community Grid/wcg_pause.png
 %%SKINS%%share/boinc/skins/World Community Grid/wcg_play.png
 %%SKINS%%share/boinc/skins/World Community Grid/wcg_stop.png
 %%SKINS%%share/boinc/skins/World Community Grid/skin.xml
+%%SKINS%%share/boinc/skins/World Community Grid/wcg_32.png
 %%X11%%share/boinc/ttf/LiberationMono-Bold.ttf
 %%X11%%share/boinc/ttf/LiberationMono-BoldItalic.ttf
 %%X11%%share/boinc/ttf/LiberationMono-Italic.ttf
@@ -350,96 +221,91 @@ lib/libboinc_zip.so.7
 %%X11%%share/boinc/ttf/LiberationSerif-BoldItalic.ttf
 %%X11%%share/boinc/ttf/LiberationSerif-Italic.ttf
 %%X11%%share/boinc/ttf/LiberationSerif-Regular.ttf
-%%NLS%%share/locale/ar/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/ar/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/be/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/be/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/bg/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/bg/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/ca/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/ca/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/cs/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/cs/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/cy/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/cy/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/da/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/da/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/de/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/de/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/el/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/el/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/es/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/es/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/fa/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/fa/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/fi/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/fi/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/fr/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/fr/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/gl/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/gl/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/hr/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/hr/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/hu/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/hu/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/it/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/it/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/ja/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/ja/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/ko/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/ko/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/lt/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/lt/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/lv/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/lv/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/nb/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/nb/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/nl/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/nl/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/nn/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/nn/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/pl/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/pl/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/pt_BR/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/pt_BR/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/pt_PT/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/pt_PT/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/ro/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/ro/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/ru/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/ru/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/sk/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/sk/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/sl/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/sl/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/sv_SE/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/sv_SE/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/tr/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/tr/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/uk/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/uk/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/zh_CN/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/zh_CN/LC_MESSAGES/BOINC-Manager.mo
-%%NLS%%share/locale/zh_TW/LC_MESSAGES/BOINC-Client.mo
-%%NLS%%share/locale/zh_TW/LC_MESSAGES/BOINC-Manager.mo
-%%BOINC_MANAGER%%share/pixmaps/boincmgr.16x16.png
-%%BOINC_MANAGER%%share/pixmaps/boincmgr.32x32.png
-%%BOINC_MANAGER%%share/pixmaps/boincmgr.48x48.png
+%%MANAGER%%%%NLS%%share/locale/ar/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/ar/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/be/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/be/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/bg/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/bg/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/ca/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/ca/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/cs/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/cs/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/cy/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/cy/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/da/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/da/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/de/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/de/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/el/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/el/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/es/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/es/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/fa/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/fa/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/fi/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/fi/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/fr/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/fr/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/gl/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/gl/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/hr/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/hr/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/hu/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/hu/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/ja/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/ja/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/ko/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/ko/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/lt/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/lt/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/lv/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/lv/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/nb/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/nb/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/nl/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/nl/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/nn/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/nn/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/pl/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/pl/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/pt_BR/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/pt_BR/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/pt_PT/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/pt_PT/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/ro/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/ro/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/ru/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/ru/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/sk/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/sk/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/sl/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/sl/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/sv_SE/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/sv_SE/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/tr/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/tr/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/uk/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/uk/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/zh_CN/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/zh_CN/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%%%NLS%%share/locale/zh_TW/LC_MESSAGES/BOINC-Client.mo
+%%MANAGER%%%%NLS%%share/locale/zh_TW/LC_MESSAGES/BOINC-Manager.mo
+%%MANAGER%%share/pixmaps/boincmgr.16x16.png
+%%MANAGER%%share/pixmaps/boincmgr.32x32.png
+%%MANAGER%%share/pixmaps/boincmgr.48x48.png
 @dirrm include/boinc
-%%SKINS%%@dirrm share/boinc/skins/Charity Engine/graphic
 %%SKINS%%@dirrm share/boinc/skins/Charity Engine
-%%BOINC_MANAGER%%@dirrm share/boinc/skins/Default
-%%SKINS%%@dirrm share/boinc/skins/GridRepublic/graphic
+%%MANAGER%%@dirrm share/boinc/skins/Default
 %%SKINS%%@dirrm share/boinc/skins/GridRepublic
 %%SKINS%%@dirrm share/boinc/skins/People for a Smarter Planet/graphic
 %%SKINS%%@dirrm share/boinc/skins/People for a Smarter Planet
-%%SKINS%%@dirrm share/boinc/skins/Progress Thru Processors/graphic
-%%SKINS%%@dirrm share/boinc/skins/Progress Thru Processors
+%%SKINS%%@dirrm share/boinc/skins/ProgressThruProcessors
 %%SKINS%%@dirrm share/boinc/skins/World Community Grid/Old/graphic
 %%SKINS%%@dirrm share/boinc/skins/World Community Grid/Old
 %%SKINS%%@dirrm share/boinc/skins/World Community Grid
-%%BOINC_MANAGER%%@dirrm share/boinc/skins
+%%MANAGER%%@dirrm share/boinc/skins
 %%X11%%@dirrm share/boinc/ttf
 %%X11%%@dirrm share/boinc
-%%NLS%%@dirrmtry share/locale/sv_SE/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/sv_SE
+%%MANAGER%%%%NLS%%@dirrmtry share/locale/sv_SE/LC_MESSAGES
+%%MANAGER%%%%NLS%%@dirrmtry share/locale/sv_SE
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Rene Ladan freebsd_committer 2014-02-04 20:27:21 UTC
Responsible Changed
From-To: rene->freebsd-ports

Bcak to the pool.
Comment 10 Mark Linimon freebsd_committer freebsd_triage 2014-03-29 05:00:29 UTC
Responsible Changed
From-To: freebsd-ports->freebsd-ports-bugs

Canonicalize assignment.
Comment 11 John Marino freebsd_committer 2014-04-21 09:13:23 UTC
State Changed
From-To: open->closed

OPTIMIZE option was disabled as suggested (as last resort)